package com.neko.controller;

import com.neko.domain.dto.messageDto.SendMessageContentDto;
import com.neko.service.MessageService;
import com.neko.utils.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Date 2025/5/21 9:49
 * @Author neko
 **/
@RestController
@RequestMapping("/message")
public class MessageController {
    @Autowired
    MessageService messageService;

    /**
     * 消息发送
     * @param dto
     * @return
     */
    @RequestMapping("sendMessage")
    public ResultVo sendMessage(@RequestBody SendMessageContentDto dto){
        return messageService.sendMessage(dto);
    }

}
