package com.neko.domain.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 文本消息内容表
 * @TableName message_content_text
 */
@TableName(value ="message_content_text")
@Data
public class MessageContentText implements Serializable {
    /**
     * 内容ID
     */
    @TableId
    private String id;

    /**
     * 文本内容
     */
    private String content;

    /**
     * @列表（JSON数组）
     */
    private String mentionedList;

    /**
     * 创建时间
     */
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
