package com.neko.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.neko.domain.dto.friendDto.FriendDto;
import com.neko.domain.dto.friendDto.FriendTongDto;
import com.neko.domain.pojo.FriendRelation;
import com.neko.domain.vo.RequestFriendVo;
import com.neko.utils.ResultVo;

/**
* @author 金聪
* @description 针对表【friend_relation(好友关系表)】的数据库操作Service
* @createDate 2025-05-18 20:59:28
*/
public interface FriendRelationService extends IService<FriendRelation> {

    ResultVo addFriend(FriendDto dto);

    ResultVo handleFriendHttp(FriendTongDto dto);

    ResultVo findFriendList(RequestFriendVo requestFriend);
}
